<!DOCTYPE html>
<html>
<head>
    <?php echo head_contents() ?>
    <title><?php echo $title;?></title>
    <meta name="description" content="<?php echo $description; ?>"/>
    <link rel="canonical" href="<?php echo $canonical; ?>" />
    <link href="<?php echo site_url() ?>themes/default/css/style.css" rel="stylesheet"/>
    <link href="//fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet" type="text/css">
    <?php if (publisher()): ?>
    <link href="<?php echo publisher() ?>" rel="publisher" />
    <?php endif; ?>
    <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
</head>
<body class="<?php echo $bodyclass; ?>" itemscope="itemscope" itemtype="http://schema.org/Blog">
<div class="hide">
    <meta content="<?php echo blog_title() ?>" itemprop="name"/>
    <meta content="<?php echo blog_description() ?>" itemprop="description"/>
</div>
<?php if (facebook()) { echo facebook(); } ?>
<?php if (login()) { toolbar(); } ?>
<div id="outer-wrapper">
    <div id="menu-wrapper">
        <div class="container">
            <nav id="menu">
                <?php echo menu() ?>
                <?php echo search() ?>
            </nav>
        </div>
    </div>
    <div id="header-wrapper">
        <div class="container">
            <header id="header">
                <section id="branding">
                    <?php if (is_index()) { ?>
                        <h1 class="blog-title"><a rel="home" href="<?php echo site_url() ?>"><?php echo blog_title() ?></a></h1>
                    <?php } else { ?>
                        <h2 class="blog-title"><a rel="home" href="<?php echo site_url() ?>"><?php echo blog_title() ?></a></h2>
                    <?php } ?>
                    <div class="blog-tagline"><p><?php echo blog_tagline() ?></p></div>
                </section>
            </header>
        </div>
    </div>
    <div id="content-wrapper">
        <div class="container">
            <section id="content">
                <?php echo content() ?>
            </section>
        </div>
    </div>
    <div id="footer-wrapper">
        <div class="container">
            <footer id="footer">
                <div class="footer-column">
                    <div class="recent column">
                        <div class="inner"><h3>Recent Posts</h3><?php echo recent_posts() ?></div>
                    </div>
                    <div class="archive column">
                        <div class="inner"><h3>Archive</h3><?php echo archive_list() ?></div>
                    </div>
                    <div class="tagcloud column">
                        <div class="inner">
						<h3>Tags</h3>
						<?php $i = 1; $tags = tag_cloud(true); arsort($tags); ?>
						<ul>
							<?php foreach ($tags as $tag => $count):?>
							<li><a href="<?php echo site_url();?>tag/<?php echo $tag;?>"><?php echo tag_i18n($tag);?> (<?php echo $count;?>)</a></li>
							<?php if ($i++ >= 5) break;?>
							<?php endforeach;?>
						</ul>
						</div>
                    </div>
                    <div class="social column">
                        <div class="inner"><h3>Follow</h3><?php echo social() ?></div>
                    </div>
                </div>
                <div class="copyright"><?php echo copyright() ?></div>
            </footer>
        </div>
    </div>
</div>
<?php if (analytics()): ?><?php echo analytics() ?><?php endif; ?>
</body>
</html>